﻿// -----------------------------------------------------------------------
// <copyright file="Utility.cs" company="">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace Business
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using Business.Model;

    /// <summary>
    /// TODO: Update summary.
    /// </summary>
    public class Utility
    {
        public static LogRecord GetNewLogRecord(Task task, ReaderData readerItem)
        {
            LogRecord result = new LogRecord();

            result.Id = Guid.NewGuid();
            result.ReaderId = readerItem.Id;
            result.Address = readerItem.Address;

            result.TaskId = task.Id;
            result.TaskCreated = task.CreateDate;

            return result;
        }

        public static TaskStatus ConvertToTaskStatus(OrderStatus orderStatus)
        {
            switch (orderStatus)
            {
                case OrderStatus.New:
                    return TaskStatus.NotStart;
                case OrderStatus.Processing:
                    return TaskStatus.Processing;
                case OrderStatus.Finish:
                    return TaskStatus.Completed;
                default:
                    throw new ArgumentException("Wrong order status");
            }
        }
    }
}
