﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using Common;

namespace SourceReaderService
{
    /// <summary>
    /// Summary description for ReaderService
    /// </summary>
    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    [System.ComponentModel.ToolboxItem(false)]
    // To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
    // [System.Web.Script.Services.ScriptService]
    public class ReaderService : System.Web.Services.WebService
    {
        private static List<Guid> idRepository;

        static ReaderService()
        {
            idRepository = new List<Guid>();

            for (int i = 0; i < 10; i++)
            {
                idRepository.Add(Guid.NewGuid());
            }
        }

        [WebMethod]
        public IEnumerable<ReaderResult> GetReaderResults()
        {
            var result = new List<ReaderResult>();

            for (int i = 0; i < idRepository.Count(); i++)
            {
                var item = new ReaderResult()
                {
                    Id = idRepository[i],
                    NeedCreateTask = RandomValueGenerator.GenerateBooleanValue()
                };

                result.Add(item);
            }

            return result.AsEnumerable();
        }
    }
}
